
GammaLib - Bug #2495

A q-mode parameter is set to h after quering

06/05/2018 04:52 PM - Knödlseder Jürgen

Status: Closed Start date: 06/05/2018

Priority: High Due date:  

Assigned To: Knödlseder Jürgen % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 1.6.0   

Description

Andreas reported in #2305 that after using a q-type parameter in a parameter file, it was set to hidden. This is probably a side effect

of the current logic where after a query a parameter is set to hidden so that it is not queried again. Querying should be better handled

by an explicit flag, and note by changing the type to hidden.

History

#1 - 06/05/2018 04:59 PM - Knödlseder Jürgen

It turned out that when changing a parameter from a to q, the parameter is no longer queried. The parfile

ra,  r, q, 83.63,0,360, "RA of pointing (degrees)"

dec, r, q, 22.51,-90,90, "Dec of pointing (degrees)"

results in

$ ctobssim

Radius of FOV (degrees) (0-180) [5.0]

Start time (UTC string, JD, MJD or MET in seconds) [2020-01-01T00:00:00]

Stop time (UTC string, JD, MJD or MET in seconds) [2020-01-01T00:30:00]

Lower energy limit (TeV) [0.1]

Upper energy limit (TeV) [100.0]

Calibration database [prod2]

Instrument response function [South_0.5h]

Input model definition XML file [$CTOOLS/share/models/crab.xml]

Output event data file or observation definition XML file [events.fits]

#2 - 06/05/2018 10:39 PM - Knödlseder Jürgen

- Subject changed from A q-type parameter is set to h after quering to A q-mode parameter is set to h after quering
#3 - 06/05/2018 10:57 PM - Knödlseder Jürgen

- Status changed from New to Pull request

- % Done changed from 0 to 100

Bugs were corrected, will now integrate the code.

A new method GApplicationPar::was_queried() was added that informs whether a given parameter was actually queried. A new flag was added as

protected member that keeps track of querying.

#4 - 06/06/2018 01:31 PM - Knödlseder Jürgen

- Status changed from Pull request to Closed

The code was merged into devel.
